## Index

### Classes

- Worker

### Interfaces

- Address
- Cluster
- ClusterSettings

### Variables

- isMaster
- isWorker
- settings
- worker
- workers

### Functions

- addListener
- disconnect
- emit
- eventNames
- fork
- getMaxListeners
- listenerCount
- listeners
- on
- once
- prependListener
- prependOnceListener
- removeAllListeners
- removeListener
- setMaxListeners
- setupMaster

## Variables

### Const isMaster

isMaster: boolean

- Defined in node_modules/@types/node/cluster.d.ts:175

### Const isWorker

isWorker: boolean

- Defined in node_modules/@types/node/cluster.d.ts:176

### Const settings

settings: ClusterSettings

- Defined in node_modules/@types/node/cluster.d.ts:178

### Const worker

worker: Worker

- Defined in node_modules/@types/node/cluster.d.ts:180

### Const workers

workers: object

- Defined in node_modules/@types/node/cluster.d.ts:181

#### Type declaration

- ##### [index: string]: Worker | undefined

## Functions

### addListener

- addListener(event: string, listener: function): Cluster
- addListener(event: "disconnect", listener: function): Cluster
- addListener(event: "exit", listener: function): Cluster
- addListener(event: "fork", listener: function): Cluster
- addListener(event: "listening", listener: function): Cluster
- addListener(event: "message", listener: function): Cluster
- addListener(event: "online", listener: function): Cluster
- addListener(event: "setup", listener: function): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:195

  events.EventEmitter

  1. disconnect
  2. exit
  3. fork
  4. listening
  5. message
  6. online
  7. setup

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:196

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:197

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:198

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:199

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:201

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:202

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:203

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns Cluster

### disconnect

- disconnect(callback?: undefined | function): void

- - Defined in node_modules/@types/node/cluster.d.ts:173

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "disconnect", worker: Worker): boolean
- emit(event: "exit", worker: Worker, code: number, signal: string): boolean
- emit(event: "fork", worker: Worker): boolean
- emit(event: "listening", worker: Worker, address: Address): boolean
- emit(event: "message", worker: Worker, message: any, handle: Socket | Server): boolean
- emit(event: "online", worker: Worker): boolean
- emit(event: "setup", settings: ClusterSettings): boolean

- - Defined in node_modules/@types/node/cluster.d.ts:205

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- - Defined in node_modules/@types/node/cluster.d.ts:206

  #### Parameters

  - ##### event: "disconnect"

  - ##### worker: Worker

  #### Returns boolean

- - Defined in node_modules/@types/node/cluster.d.ts:207

  #### Parameters

  - ##### event: "exit"

  - ##### worker: Worker

  - ##### code: number

  - ##### signal: string

  #### Returns boolean

- - Defined in node_modules/@types/node/cluster.d.ts:208

  #### Parameters

  - ##### event: "fork"

  - ##### worker: Worker

  #### Returns boolean

- - Defined in node_modules/@types/node/cluster.d.ts:209

  #### Parameters

  - ##### event: "listening"

  - ##### worker: Worker

  - ##### address: Address

  #### Returns boolean

- - Defined in node_modules/@types/node/cluster.d.ts:210

  #### Parameters

  - ##### event: "message"

  - ##### worker: Worker

  - ##### message: any

  - ##### handle: Socket | Server

  #### Returns boolean

- - Defined in node_modules/@types/node/cluster.d.ts:211

  #### Parameters

  - ##### event: "online"

  - ##### worker: Worker

  #### Returns boolean

- - Defined in node_modules/@types/node/cluster.d.ts:212

  #### Parameters

  - ##### event: "setup"

  - ##### settings: ClusterSettings

  #### Returns boolean

### eventNames

- eventNames(): string[]

- - Defined in node_modules/@types/node/cluster.d.ts:259

  #### Returns string[]

### fork

- fork(env?: any): Worker

- - Defined in node_modules/@types/node/cluster.d.ts:174

  #### Parameters

  - ##### Optional env: any

  #### Returns Worker

### getMaxListeners

- getMaxListeners(): number

- - Defined in node_modules/@types/node/cluster.d.ts:235

  #### Returns number

### listenerCount

- listenerCount(type: string): number

- - Defined in node_modules/@types/node/cluster.d.ts:237

  #### Parameters

  - ##### type: string

  #### Returns number

### listeners

- listeners(event: string): Function[]

- - Defined in node_modules/@types/node/cluster.d.ts:236

  #### Parameters

  - ##### event: string

  #### Returns Function[]

### on

- on(event: string, listener: function): Cluster
- on(event: "disconnect", listener: function): Cluster
- on(event: "exit", listener: function): Cluster
- on(event: "fork", listener: function): Cluster
- on(event: "listening", listener: function): Cluster
- on(event: "message", listener: function): Cluster
- on(event: "online", listener: function): Cluster
- on(event: "setup", listener: function): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:214

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:215

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:216

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:217

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:218

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:219

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:220

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:221

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns Cluster

### once

- once(event: string, listener: function): Cluster
- once(event: "disconnect", listener: function): Cluster
- once(event: "exit", listener: function): Cluster
- once(event: "fork", listener: function): Cluster
- once(event: "listening", listener: function): Cluster
- once(event: "message", listener: function): Cluster
- once(event: "online", listener: function): Cluster
- once(event: "setup", listener: function): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:223

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:224

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:225

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:226

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:227

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:228

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:229

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:230

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns Cluster

### prependListener

- prependListener(event: string, listener: function): Cluster
- prependListener(event: "disconnect", listener: function): Cluster
- prependListener(event: "exit", listener: function): Cluster
- prependListener(event: "fork", listener: function): Cluster
- prependListener(event: "listening", listener: function): Cluster
- prependListener(event: "message", listener: function): Cluster
- prependListener(event: "online", listener: function): Cluster
- prependListener(event: "setup", listener: function): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:239

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:240

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:241

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:242

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:243

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:245

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:246

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:247

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns Cluster

### prependOnceListener

- prependOnceListener(event: string, listener: function): Cluster
- prependOnceListener(event: "disconnect", listener: function): Cluster
- prependOnceListener(event: "exit", listener: function): Cluster
- prependOnceListener(event: "fork", listener: function): Cluster
- prependOnceListener(event: "listening", listener: function): Cluster
- prependOnceListener(event: "message", listener: function): Cluster
- prependOnceListener(event: "online", listener: function): Cluster
- prependOnceListener(event: "setup", listener: function): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:249

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:250

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:251

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:252

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:253

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:255

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:256

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:257

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns Cluster

### removeAllListeners

- removeAllListeners(event?: undefined | string): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:233

  #### Parameters

  - ##### Optional event: undefined | string

  #### Returns Cluster

### removeListener

- removeListener(event: string, listener: function): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:232

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns Cluster

### setMaxListeners

- setMaxListeners(n: number): Cluster

- - Defined in node_modules/@types/node/cluster.d.ts:234

  #### Parameters

  - ##### n: number

  #### Returns Cluster

### setupMaster

- setupMaster(settings?: ClusterSettings): void

- - Defined in node_modules/@types/node/cluster.d.ts:179

  #### Parameters

  - ##### Optional settings: ClusterSettings

  #### Returns void

Generated using TypeDoc